import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Crash_20cb65ffbb219a01fbc1341e2d38a57e3d0a550f {
    static final String base64Bytes = String.join("", "rO0ABXNyABNqYXZhLnV0aWwuQXJyYXlMaXN0eIHSHZnHYZ0DAAFJAARzaXpleHAAAAABdwQAAAABdABkbm5ubm5ubm5ubkBCQkJCQi5CQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQkJCQng=");

    public static void main(String[] args) throws Throwable {
        Crash_20cb65ffbb219a01fbc1341e2d38a57e3d0a550f.class.getClassLoader().setDefaultAssertionStatus(true);
        try {
            Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize");
            fuzzerInitialize.invoke(null);
        } catch (NoSuchMethodException ignored) {
            try {
                Method fuzzerInitialize = EmailMatcherFuzzTest.class.getMethod("fuzzerInitialize", String[].class);
                fuzzerInitialize.invoke(null, (Object) args);
            } catch (NoSuchMethodException ignored1) {
            } catch (IllegalAccessException | InvocationTargetException e) {
                e.printStackTrace();
                System.exit(1);
            }
        } catch (IllegalAccessException | InvocationTargetException e) {
            e.printStackTrace();
            System.exit(1);
        }
        com.code_intelligence.jazzer.api.CannedFuzzedDataProvider input = new com.code_intelligence.jazzer.api.CannedFuzzedDataProvider(base64Bytes);
        EmailMatcherFuzzTest.fuzzerTestOneInput(input);
    }
}